package de.cliffbreak.varo.listeners;

import com.destroystokyo.paper.event.player.PlayerClientOptionsChangeEvent;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

import de.cliffbreak.varo.Varo;
import de.cliffbreak.varo.PlayerCache.PlayerCacheType;

public class PlayerClientOptionsChangeListener implements Listener {

    private Varo plugin;

    public PlayerClientOptionsChangeListener(Varo plugin) {
        this.plugin = plugin;
    }

    @EventHandler()
    public void onPlayerClientOptionsChange(PlayerClientOptionsChangeEvent e) {
        String uuid = e.getPlayer().getUniqueId().toString().replace("-", "");
        plugin.playerCache.setPlayerCache(uuid, PlayerCacheType.SKINPARTS, e.getSkinParts().getRaw());
        plugin.playerCache.setPlayerCache(uuid, PlayerCacheType.MAINHAND, e.getMainHand().toString());
    }
}